<?php

/*

Profile Visitors SimplePortal Block
[SiNaN] | www.samanyolufanlari.com

*/

/********** Settings - Start **********/

// Alignment; 1 = vertical, 2 = horizontal
$alignment = 1;

// Visitor count to show
$visitor_count = 5;

/********** Settings - End **********/

global $db_prefix, $ID_MEMBER, $modSettings;

// You cannot use if its disabled.
if(empty($modSettings['pv_enabled']))
	return false;
	
// Does he have the needed permission?
if(!allowedTo('profile_view_visitor_own'))
	return false;

// Get the visitor and time info.
$request = db_query("
	SELECT visitors, visitorstime
	FROM {$db_prefix}members
	WHERE ID_MEMBER = $ID_MEMBER
	LIMIT 1", __FILE__, __LINE__);
list ($visitors, $visitorstime) = mysql_fetch_row($request);
mysql_free_result($request);

// Make sure this is empty.
$visitor_profiles = array();

// Prepare them for action.
$visitor = explode(',', $visitors);
$visitortime = explode(',', $visitorstime);

// Just counters.
$count = 19;
$found = 0;

while($count >= 0) {
	if (!empty($visitor[$count])) {

		// Here we go!
		$request = db_query("
			SELECT m.ID_MEMBER, m.realName, m.posts, m.avatar, a.ID_ATTACH, a.attachmentType, a.filename
			FROM {$db_prefix}members as m
				LEFT JOIN {$db_prefix}attachments AS a ON (a.ID_MEMBER = m.ID_MEMBER)
			WHERE m.ID_MEMBER = $visitor[$count]", __FILE__, __LINE__);
		while ($row = mysql_fetch_assoc($request))
		{
			//Just an avatar check.
			if (stristr($row['avatar'], 'http://') && !empty($modSettings['avatar_check_size']))
			{
				$sizes = url_image_size($row['avatar']);

				// Does your avatar still fit the maximum size?
				if ($modSettings['avatar_action_too_large'] == 'option_refuse' && is_array($sizes) && (($sizes[0] > $modSettings['avatar_max_width_external'] && !empty($modSettings['avatar_max_width_external'])) || ($sizes[1] > $modSettings['avatar_max_height_external'] && !empty($modSettings['avatar_max_height_external']))))
				{
					// Fix it permanently!
					$row['avatar'] = '';
					updateMemberData($row['ID_MEMBER'], array('avatar' => '\'\''));
				}
			}

			// Calculate time passed.
			$past = time() - $visitortime[$count];

			// Format date.
			if($past > 86400)
				$time_format = '%d/%m/%y';
			else
				$time_format = '%H:%M:%S';

			//Build up the array.
			$visitor_profiles[] = array (
							'id' => $row['ID_MEMBER'],
							'username' => $row['realName'],
							'link' => '<a href="' . $scripturl . '?action=profile;u=' . $row['ID_MEMBER'] . '">' . $row['realName'] . '</a>',
							'avatar' => array(
								'name' => $row['avatar'],
								'image' => $row['avatar'] == '' ? ($row['ID_ATTACH'] > 0 ? '<img src="' . (empty($row['attachmentType']) ? $scripturl . '?action=dlattach;attach=' . $row['ID_ATTACH'] . ';type=avatar' : $modSettings['custom_avatar_url'] . '/' . $row['filename']) . '" alt="" class="avatar" border="0" />' : '') : (stristr($row['avatar'], 'http://') ? '<img src="' . $row['avatar'] . '" alt="" class="avatar" border="0" />' : '<img src="' . $modSettings['avatar_url'] . '/' . htmlspecialchars($row['avatar']) . '" alt="" class="avatar" border="0" />'),
								'href' => $row['avatar'] == '' ? ($row['ID_ATTACH'] > 0 ? (empty($row['attachmentType']) ? $scripturl . '?action=dlattach;attach=' . $row['ID_ATTACH'] . ';type=avatar' : $modSettings['custom_avatar_url'] . '/' . $row['filename']) : '') : (stristr($row['avatar'], 'http://') ? $row['avatar'] : $modSettings['avatar_url'] . '/' . $row['avatar']),
								'url' => $row['avatar'] == '' ? '' : (stristr($row['avatar'], 'http://') ? $row['avatar'] : $modSettings['avatar_url'] . '/' . $row['avatar']),
							),
							'time' => strftime($time_format, $visitortime[$count]),
						);
		}

		mysql_free_result($request);
			
		// We've got one here guys!
		$found = $found + 1;

		// Enough?
		if($found == $visitor_count)
			break;
	}

	// Goes one down.
	$count = $count - 1;
}

echo '
<table align="center">';

if($alignment == 1) {

	foreach ($visitor_profiles as $visitor) {
		echo '
	<tr>
		<td class="windowbg" align="center" style="padding:5px; width: 50px;">', $visitor['avatar']['href'] ? '<img src="' . $visitor['avatar']['href'] .'" width="50" />' : '', '</td>
		<td class="windowbg" style="padding:5px; width: 100px;"><b>', $visitor['link'], '</b><br /><span class="smalltext">', $visitor['time'], '</span></td>
	</tr>';
	}
}
elseif($alignment == 2) {

	echo '
	<tr>';

	foreach ($visitor_profiles as $visitor) {
		echo '
		<td class="windowbg" align="center" valign="bottom" style="padding:5px; width: 100px;">', $visitor['avatar']['href'] ? '<img src="' . $visitor['avatar']['href'] .'" width="50" />' : '', '<br /><b>', $visitor['link'], '</b><br /><span class="smalltext">', $visitor['time'], '</span></td>';
	}
	
	echo '
	</tr>';
}
else
	return false;

echo '
</table>';

?>